# Class AudioPlayerDialog | EchoHub Documentation

# Class AudioPlayerDialog

Namespace
  EchoHub.Client.UI.Dialogs

Assembly
  EchoHub.Client.dll

    public sealed class AudioPlayerDialog

Inheritance
  object
  AudioPlayerDialog

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### AudioPlayerDialog()

    public AudioPlayerDialog()

## Methods

### Show(IApplication, AudioPlaybackService, string, string)

    public static void Show(IApplication app, AudioPlaybackService audioService, string filePath, string fileName)

#### Parameters

`app` IApplication
`audioService` AudioPlaybackService
`filePath` string
`fileName` string